Subject: [lamps] I-D Action: draft-ietf-lamps-cmp-updates-06.txt

From: [email-masked]
Date: Mon, 02 Nov 2020 07:25:15 -0800

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Limited Additional Mechanisms for PKIX and SMIME WG of the IETF.

        Title           : CMP Updates
        Author          : Hendrik Brockhaus
	Filename        : draft-ietf-lamps-cmp-updates-06.txt
	Pages           : 49
	Date            : 2020-11-02

Abstract:
   This document contains a set of updates to the base syntax and
   transport of Certificate Management Protocol (CMP) version 2.  This
   document updates RFC 4210 and RFC 6712.

   Specifically, the CMP services updated in this document comprise the
   enabling of using EnvelopedData instead of EncryptedValue, adding new
   general message types, the definition of extended key usages to
   identify certificates of CMP endpoints on certification and
   registration authorities, and adds an HTTP URI discovery mechanism
   and extend the URI structure.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-lamps-cmp-updates/

There are also htmlized versions available at:
https://tools.ietf.org/html/draft-ietf-lamps-cmp-updates-06
https://datatracker.ietf.org/doc/html/draft-ietf-lamps-cmp-updates-06

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-ietf-lamps-cmp-updates-06

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

---

From: "Brockhaus, Hendrik" <[email-masked]>
Date: Thu, 5 Nov 2020 17:00:22 +0000

On Monday I uploaded a new version of CMP Updates.
https://datatracker.ietf.org/doc/draft-ietf-lamps-cmp-updates/
The updates since the last versions are:
   From version 05 -> 06:
   o  Added the update of Appendix D.2 with the reference to the new CMP Algorithms document as decided in IETF 108
   o  Updated the IANA considerations to register new OIDs for id-regCtrl-algId and d-regCtrl-rsaKeyLen.
   o  Minor changes and corrections

Any feedback is welcome!

- Hendrik

> Von: Spasm <[email-masked]> Im Auftrag von [email-masked]
> Gesendet: Montag, 2. November 2020 16:25
> 
> https://eur01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdatatrack
> er.ietf.org%2Fdoc%2Fdraft-ietf-lamps-cmp-
> updates%2F&amp;data=04%7C01%7Chendrik.brockhaus%40siemens.com%7Cb
> 448adbcb0654aaa14d308d87f438720%7C38ae3bcd95794fd4addab42e1495d55
> a%7C1%7C0%7C637399275287296582%7CUnknown%7CTWFpbGZsb3d8eyJWIjo
> iMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C1000
> &amp;sdata=pbYddw5o8%2B%2BUncsITxS1yl9M1szW6xzVESijU3Nddeo%3D&a
> mp;reserved=0
> 
> https://eur01.safelinks.protection.outlook.com/?url=https%3A%2F%2Ftools.ietf.
> org%2Fhtml%2Fdraft-ietf-lamps-cmp-updates-
> 06&amp;data=04%7C01%7Chendrik.brockhaus%40siemens.com%7Cb448adbcb
> 0654aaa14d308d87f438720%7C38ae3bcd95794fd4addab42e1495d55a%7C1%7
> C0%7C637399275287301573%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLj
> AwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C1000&amp;s
> data=dx5QGzzM3LgGnXMWEoKg8hinh1Ot4qysm1Q1D0%2BqSAg%3D&amp;res
> erved=0
> https://eur01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdatatrack
> er.ietf.org%2Fdoc%2Fhtml%2Fdraft-ietf-lamps-cmp-updates-
> 06&amp;data=04%7C01%7Chendrik.brockhaus%40siemens.com%7Cb448adbcb
> 0654aaa14d308d87f438720%7C38ae3bcd95794fd4addab42e1495d55a%7C1%7
> C0%7C637399275287301573%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLj
> AwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C1000&amp;s
> data=ONi4NIMBzzAtP7qvSC8%2BAi4VhD0BejjtVW%2BG%2F7wTG8k%3D&amp;
> reserved=0
> 
> https://eur01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.ietf.
> org%2Frfcdiff%3Furl2%3Ddraft-ietf-lamps-cmp-updates-
> 06&amp;data=04%7C01%7Chendrik.brockhaus%40siemens.com%7Cb448adbcb
> 0654aaa14d308d87f438720%7C38ae3bcd95794fd4addab42e1495d55a%7C1%7
> C0%7C637399275287301573%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLj
> AwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C1000&amp;s
> data=pPD%2FpBQTpxZMRzptu6XdU4H2PcJIRZhUT1M91kNFPKI%3D&amp;reser
> ved=0
> 
> 
> https://eur01.safelinks.protection.outlook.com/?url=ftp%3A%2F%2Fftp.ietf.org%
> 2Finternet-
> drafts%2F&amp;data=04%7C01%7Chendrik.brockhaus%40siemens.com%7Cb44
> 8adbcb0654aaa14d308d87f438720%7C38ae3bcd95794fd4addab42e1495d55a%
> 7C1%7C0%7C637399275287301573%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiM
> C4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C1000&
> amp;sdata=wM%2F5yLP1L%2Bnsk%2FOyqyXLitAow0DT6VCZyjGsEsCdd90%3D&
> amp;reserved=0
> 
> 
> _______________________________________________
> Spasm mailing list
> [email-masked]
> https://eur01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.ietf.
> org%2Fmailman%2Flistinfo%2Fspasm&amp;data=04%7C01%7Chendrik.brockha
> us%40siemens.com%7Cb448adbcb0654aaa14d308d87f438720%7C38ae3bcd95
> 794fd4addab42e1495d55a%7C1%7C0%7C637399275287301573%7CUnknown%
> 7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiL
> CJXVCI6Mn0%3D%7C1000&amp;sdata=1GE5TSDLJtMZTxAGChJFi2qzQ9e0H2a9
> Sf3tfUbUXzY%3D&amp;reserved=0